Get User's Current Publication

View as Markdown

Check if the current user has a publication. Returns the default publication if one is set, otherwise returns the latest publication. If ‘current_workspace’ is true, filters by the workspace in the request context.

Query parameters

current_workspacebooleanOptional
Filter by the workspace from the current request context

Response

idintegerRead-only
uidstringRead-onlyformat: "uuid"
namestringRead-only
custom_urlstringRead-only
descriptionstringRead-only
cover_imagestring or nullRead-onlyformat: "uri"
ownerobject

Simple user serializer with profile picture from associated IAMUserDetail.

Fields:

  • id, email, full_name, username, is_verified (from IAMUser)
  • profile_picture (from first related IAMUserDetail if present)
allow_bookingsbooleanRead-only
visibilityenum
  • public - Public
  • private - Private
  • team - Team
  • org - Organization
Allowed values:
is_defaultbooleanRead-only
Whether this is the user's default publication
is_premiumbooleanRead-only
Whether this is a premium publication
is_verifiedbooleanRead-only
Whether this publication has been verified
workspaceinteger or nullRead-only

Workspace (DGM Group) this publication belongs to. Null for legacy publications.

created_atdatetimeRead-only
updated_atdatetimeRead-only

Errors

404
Not Found Error